# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "rbtree"
  s.version = "0.4.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["OZAWA Takuma"]
  s.date = "2013-12-26"
  s.description = "A RBTree is a sorted associative collection that is implemented with a\nRed-Black Tree. It maps keys to values like a Hash, but maintains its\nelements in ascending key order. The interface is the almost identical\nto that of Hash.\n"
  s.extensions = ["extconf.rb"]
  s.extra_rdoc_files = ["README", "rbtree.c"]
  s.files = ["README", "rbtree.c", "extconf.rb"]
  s.homepage = "http://rbtree.rubyforge.org/"
  s.licenses = ["MIT"]
  s.rdoc_options = ["--title", "Ruby/RBTree", "--main", "README", "--exclude", "\\A(?!README|rbtree\\.c).*\\z"]
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.8.6")
  s.rubyforge_project = "rbtree"
  s.rubygems_version = "1.8.23.2"
  s.summary = "A sorted associative collection."

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
    else
    end
  else
  end
end
